1.2.3 to 2.1 Upgrade



  • Just want to check,
    Is an upgrade from 1.2.3 to 2.1 supported. (or has anybody done any successfully)

    Or is it better to go to 2.0.3 first, then 2.1
    Thanks for your help.


  • Netgate Administrator

    I would install fresh and restore the config. At the very least you should remove any packages you have installed (or check out their upgrade behaviour). See: https://doc.pfsense.org/index.php/Upgrade_Guide#2.0_Upgrade_Note

    Steve



  • There is no reason that it won't work. All the config conversions are done one after the other in sequence from 1.2.3 through each change all the way to 2.1 - you should end up with the same converted config if you go straight to 2.1 as you would if you upgrade to 2.0.n first, then upgrade again.
    But it is a long time since I had a 1.2.3 system to try.


  • Rebel Alliance Developer Netgate

    It would work fine. If anything the upgrade code would be better on 2.1. I think we backported any of the upgrade fixes before 2.0.3, but we have fixed things for 1.2.3 upgrades in the recent past.



  • Sorry for the reply on the old thread, but this is a top hit on Google.

    I ran an upgrade from 1.2.3 to 2.1 and it worked fine as far as i can see, for my simple config. I have an internet connection at least and can reach the web console.

    This was on an ALIX board that and been up for almost a year, and i forgot to reboot before running the upgrade, heh.

    It did take around 10 mins, so be patient and dont pull the plug if you forgot to hook up the serial/vga console like me.